Debian Bug report logs - #644767
ITP: tilemill -- map design studio

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: dapal@debian.org

Date: Sat, 8 Oct 2011 21:51:01 UTC

Owned by: David Paleino <dapal@debian.org>

Severity: wishlist

Fix blocked by 742347: node-jsdom: require("jsdom") does not work in nodejs: missing cssstyle module, 725362: node-bones: present but uninstallable on architectures lacking nodejs, 743151: node-jsdom: two more missing modules (htmlparser2 and nwmatcher), 743152: nodes-bones doesn't ship the version required for tilemill

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Sat, 08 Oct 2011 21:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Sat, 08 Oct 2011 21:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: tilemill -- map design studio
Date: Sat, 8 Oct 2011 23:48:35 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: David Paleino <dapal@debian.org>

* Package name    : tilemill
  Version         : 0.5.1.1
  Upstream Author : Mapbox <http://mapbox.com>
* URL             : http://mapbox.com/tilemill/
* License         : BSD-3
  Programming Lang: Javascript (NodeJS)
  Description     : map design studio

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Tue, 24 Jan 2012 15:03:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antony Gelberg <antony.gelberg@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Tue, 24 Jan 2012 15:03:15 GMT) Full text and rfc822 format available.

Message #10 received at 644767@bugs.debian.org (full text, mbox):

From: Antony Gelberg <antony.gelberg@gmail.com>
To: 644767@bugs.debian.org
Subject: Re: ITP: tilemill -- map design studio
Date: Tue, 24 Jan 2012 17:00:20 +0200
Hi David,

Any progress on this ITP?

Antony




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Tue, 24 Jan 2012 20:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Tue, 24 Jan 2012 20:45:10 GMT) Full text and rfc822 format available.

Message #15 received at 644767@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Antony Gelberg <antony.gelberg@gmail.com>
Cc: 644767@bugs.debian.org
Subject: Re: Bug#644767: ITP: tilemill -- map design studio
Date: Tue, 24 Jan 2012 21:40:12 +0100
[Message part 1 (text/plain, inline)]
On Tue, 24 Jan 2012 17:00:20 +0200, Antony Gelberg wrote:

> Hi David,

Hello,

> Any progress on this ITP?

not really. I've uploaded a bunch of dependencies to Debian, but tilemill needs
to be ported to node-backbone 2.x (IIRC), and I haven't had the time to do it.
Also, not all "dependencies" (which would eventually be put in Recommends) are
packaged yet: I started a proposal to systematically package shapefiles in
Debian, so that the resultant "tilemill" package would become smaller.

So, in other words, it would need some more manpower && time to complete it.

I haven't pushed anything to any git repository in pkg-grass, because I'd like
to strip the original tarball a bit more (i.e. drop the embedded shapefiles,
read above)

In the meanwhile, if you really need it, I suggest you to "npm install tilemill"
-- I tried it a couple of times, and it worked ;) (yes, it's a cool software).

Thanks for your interest,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Sun, 08 Apr 2012 20:06:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Sun, 08 Apr 2012 20:06:20 GMT) Full text and rfc822 format available.

Message #20 received at 644767@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 644767@bugs.debian.org
Subject: Status update
Date: Sun, 8 Apr 2012 22:05:24 +0200
[Message part 1 (text/plain, inline)]
Status update.

Latest tilemill tarball needs more modules to be packaged, with respective
dependencies, namely:

* -- node-passport (already NEW)
|    |
|    \ -- node-pkginfo (missing licensing info, bug filed)
|
| -- node-passport-oauth
|    |
|    | -- node-pkginfo (see above)
|    \ -- node-oauth   (missing licensing info, bug filed)
|
\ -- node-topcube (uninvestigated yet)

node-passport was patched to be able to upload it without needing pkginfo.
-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Added blocking bug(s) of 644767: 629445 Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Thu, 12 Apr 2012 07:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Mon, 23 Apr 2012 05:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Mon, 23 Apr 2012 05:27:06 GMT) Full text and rfc822 format available.

Message #27 received at 644767@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 644767@bugs.debian.org
Subject: patch away npm routines instead of depending on npm
Date: Mon, 23 Apr 2012 01:22:04 -0400
[Message part 1 (text/plain, inline)]
Hi,

I noticed that the dependencies are almost satisfied by now.  Very 
exciting!

Your packaging at git.debian.org:/git/pkg-grass/tilemill declare a 
dependency on npm which I found odd and looking closely it seems the 
only use of npm is for checking if tilemill itself is up-to-date and 
allowing self-update and removal from within the application.  That will 
most likely fail due to the application not being installed with npm in 
the first place, and I recommend to at least dorp that dependency and 
better to also patch the code to not offer those npm-specific features.

 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Sat, 25 Aug 2012 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Sat, 25 Aug 2012 00:51:03 GMT) Full text and rfc822 format available.

Message #32 received at 644767@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: 644767@bugs.debian.org
Subject: error in control file
Date: Fri, 24 Aug 2012 20:43:40 -0400
[Message part 1 (text/plain, inline)]
The following patch is required for the package to compile:

commit f6e8c08583573140b8bf0ddeeb6af90b839e3f06
Author: Antoine Beaupré <anarcat@koumbit.org>
Date:   Fri Aug 24 17:01:19 2012 -0400

    fix version syntax

diff --git a/debian/control b/debian/control
index 8708901..517a2eb 100644
--- a/debian/control
+++ b/debian/control
@@ -42,7 +42,7 @@ Depends:
  , node-sqlite3 (>= 2.0.16)
  , node-passport (>= 0.1)
  , node-passport-oauth (>= 0.1)
- , node-modestmaps #(>= 1.0)
+ , node-modestmaps (>= 1.0)
  , npm (>= 1.0)
  , node-semver (>= 1.0)
  , node-optimist (>= 0.1)

A.

-- 
Antoine Beaupré +++ Réseau Koumbit Networks +++ +1.514.387.6262 #208
--------------------------------------------------------------------
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Mon, 24 Jun 2013 20:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to cbaines8@gmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Mon, 24 Jun 2013 20:36:04 GMT) Full text and rfc822 format available.

Message #37 received at 644767@bugs.debian.org (full text, mbox):

From: Christopher Baines <cbaines8@gmail.com>
To: 644767@bugs.debian.org
Subject: Anything I can do to help?
Date: Mon, 24 Jun 2013 21:33:21 +0100
[Message part 1 (text/plain, inline)]
I have begun using Tilemill recently, but I am currently using the
Ubuntu packages in a VM! I managed to build the current package from
git, with the above patch, and managed to install it, once I had build
modestmaps from git. But the package does not actually contain
Tilemill...

I would very much like to help out, as I want to see this in Debian,
what are the remaining issues?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Sun, 30 Mar 2014 20:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ross Gammon <rossgammon@mail.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Sun, 30 Mar 2014 20:06:05 GMT) Full text and rfc822 format available.

Message #42 received at 644767@bugs.debian.org (full text, mbox):

From: Ross Gammon <rossgammon@mail.dk>
To: 644767@bugs.debian.org
Subject: Update
Date: Sun, 30 Mar 2014 22:04:14 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I have just committed the patch provided by Antoine. This allows
tilemill to successfully build, but as the node-modestmaps in Debian
is only v0.21 and upstream are expecting at least 1.0.0-alpha,
tilemill is still not installable.
I have started to try and work out where David was up to, and looking
for sources for some more of the javascript in the assets directory.
A sort of a to-do list has been created based on this wnpp bug and
placed README.Debian because I will probably have to pick this up and
put it down depending on available time.
Cheers,
Ross
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQIcBAEBAgAGBQJTOHisAAoJEFP+e72miRD8Q+oQAI7sXcVb+5uloKzjD+M9erdO
sZpoOimvWtkOcHv6zvtMESsGJVGa5e+bUkZkd5OG7etLxB+cMeuFROatDkDRpNLn
cHyjU7H6X+oRVqEKFuK64q2kwuKy1asOrJyPkQQKli6hSmwUEC0fSD7qNujIeu+v
3A3i9PgKkRrH3yxifXr5lSKoryJ7tR+Bcytjf8wDX7sMi3GLwnRhgnCvbU1ExzcV
mxC9dcpc1SoeFykekhehHIBwAWmM16Rl6vbQAbVly5xIlyfb1eGU6V/UX9ARx3Gn
xNWnmKz68D3DfnZHih1Q0XTRXWXHP5gra7oNHYYvbXeGt91p+8dY1aSMXNpdgVc0
g9gXhkWTyp0ffzCewaFR71ULI/QjNBwlnez86sVTfTdMj36cYHyLNGDre+G4tMGi
5ilzJTBHZcfXmyKROTf+bXD7hzJw6qDXl/2eM7SGN/TbNC5NbZjRAKLYoCWSKq1w
Yb7/b3oVzsB00k73oGVAx04TNDkvOE9LMeakZqA4PFGx3NT18DXgmJHJatw6ut4A
X2IXEjuqASGc4u+JcRcf19TSHCJvOSkRYr4AV453rlvp2evMJt9qr4Enipom3hvw
5gvnbqLkuQyVNKXh6N3Y3jVIg+8921f3oR0ZKnhijbsZ1OYzcMI6yUvJbDtglZaR
Z6zphD6e7H96I//peVHw
=eFGz
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Sun, 30 Mar 2014 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Sun, 30 Mar 2014 20:45:04 GMT) Full text and rfc822 format available.

Message #47 received at 644767@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@anarcat.ath.cx>
To: Ross Gammon <rossgammon@mail.dk>, 644767@bugs.debian.org, 644767@bugs.debian.org
Subject: Re: Bug#644767: Update
Date: Sun, 30 Mar 2014 16:41:32 -0400
[Message part 1 (text/plain, inline)]
Control: block -1 by 685834

On 2014-03-30 16:04:14, Ross Gammon wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> I have just committed the patch provided by Antoine.

Wait, committed where?

> This allows tilemill to successfully build, but as the node-modestmaps
> in Debian is only v0.21 and upstream are expecting at least
> 1.0.0-alpha, tilemill is still not installable.

Indeed, upstream now is at 3.3.5:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=685834

> I have started to try and work out where David was up to, and looking
> for sources for some more of the javascript in the assets directory.
> A sort of a to-do list has been created based on this wnpp bug and
> placed README.Debian because I will probably have to pick this up and
> put it down depending on available time.

Sweet, thanks. Seeing tilemill in jessie would be awesome.

A.
-- 
The United States is a nation of laws:
badly written and randomly enforced.
                        - Frank Zappa
[Message part 2 (application/pgp-signature, inline)]

Added blocking bug(s) of 644767: 685834 Request was from Antoine Beaupré <anarcat@anarcat.ath.cx> to 644767-submit@bugs.debian.org. (Sun, 30 Mar 2014 20:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Sun, 30 Mar 2014 20:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Sun, 30 Mar 2014 20:45:09 GMT) Full text and rfc822 format available.

Message #54 received at 644767@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@anarcat.ath.cx>
To: Ross Gammon <rossgammon@mail.dk>, 644767@bugs.debian.org, 644767@bugs.debian.org
Subject: Re: Bug#644767: Update
Date: Sun, 30 Mar 2014 16:42:34 -0400
[Message part 1 (text/plain, inline)]
On 2014-03-30 16:41:32, Antoine Beaupré wrote:
> On 2014-03-30 16:04:14, Ross Gammon wrote:
>> I have just committed the patch provided by Antoine.
>
> Wait, committed where?

Ah oups, nevermind - i just read Jonas' mail about the repo.

A.

-- 
If you have come here to help me, you are wasting our time.
But if you have come because your liberation is bound up with mine, then
let us work together.    - Aboriginal activists group, Queensland, 1970s
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Sun, 30 Mar 2014 22:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Sun, 30 Mar 2014 22:03:05 GMT) Full text and rfc822 format available.

Message #59 received at 644767@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Ross Gammon <rossgammon@mail.dk>, 644767@bugs.debian.org, 644767@bugs.debian.org
Subject: Re: Bug#644767: Update
Date: Sun, 30 Mar 2014 18:01:26 -0400
[Message part 1 (text/plain, inline)]
Control: block -1 by 725362

Some progress here: I have uploaded a new version of modestmaps (NMU
DELAYED/10), so that should be fixed shortly.

Then I found the next stumbling block: node-bones wasn't in jessie for
my test machine (#725362). I guess that won't be a problem until the
release however, and by then that bug will probably have been fixed (?).

I can also confirm what cbaines was saying earlier: the binary package
is actually empty right now.

$ dpkg -L tilemill
/.
/usr
/usr/share
/usr/share/doc
/usr/share/doc/tilemill
/usr/share/doc/tilemill/copyright
/usr/share/doc/tilemill/changelog.Debian.gz
/usr/share/doc/tilemill/README.Debian
/usr/share/doc/tilemill/README.md

It seems to me we should merge in the upstream Debian package, which
have their own PPA:

https://launchpad.net/~developmentseed/+archive/mapbox/+packages

Did anyone look at those previously?

A.

-- 
Ce que les siècles des grands abatoirs nous aura appris
Devrait être inscrit au fond de toutes les écoles;
Voici l'homme: le destructeur des mondes est arrivé.
                        - [no one is innocent]
[Message part 2 (application/pgp-signature, inline)]

Added blocking bug(s) of 644767: 725362 Request was from Antoine Beaupré <anarcat@debian.org> to 644767-submit@bugs.debian.org. (Sun, 30 Mar 2014 22:03:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 644767: 742347 Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Sun, 30 Mar 2014 22:57:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 644767: 743148 Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Sun, 30 Mar 2014 23:03:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 644767: 743151 and 743152 Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Sun, 30 Mar 2014 23:36:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Mon, 31 Mar 2014 00:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Mon, 31 Mar 2014 00:03:10 GMT) Full text and rfc822 format available.

Message #72 received at 644767@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: 644767@bugs.debian.org, Ross Gammon <rossgammon@mail.dk>, 644767@bugs.debian.org, 644767@bugs.debian.org
Subject: Re: Bug#644767: Update
Date: Sun, 30 Mar 2014 19:59:07 -0400
[Message part 1 (text/plain, inline)]
Sorry for the multiple emails...

Some more progress: I have been able to use upstream's .install file to
deploy a basic tilemill install. I have done my best to merge the two
packages here:

http://people.debian.org/~anarcat/tilemill.git

It still fails because it hasn't been ported to bones 2.x:

anarcat@marcos:tilemill*$ sudo   su -s /bin/sh -c 'HOME=/usr/share/mapbox NODEPATH=/usr/lib/nodejs:/usr/share/tilemill /usr/bin/nodejs /usr/share/tilemill/index.js --config=/etc/tilemill/tilemill.config' mapbox
[tilemill] Note: Unknown option "server" in config file.
[tilemill] Note: Unknown option "server" in config file.
[tilemill] Plugin [carto] loaded.
[tilemill] Plugin [editor] loaded.
[tilemill] Plugin [fonts] loaded.
[tilemill] Plugin [templates] loaded.
[tilemill]
[tilemill] TypeError: Cannot call method 'error' of undefined
[tilemill]     at server.initialize (/usr/share/tilemill/servers/OAuth.bones:45:10)
[tilemill]     at Server (/usr/lib/nodejs/bones/server/server.js:10:10)
[tilemill]     at new child (/usr/share/javascript/backbone/backbone.js:1392:34)
[tilemill]     at servers.Core.initialize (/usr/share/tilemill/servers/Core.bones:16:14)
[tilemill]     at Server (/usr/lib/nodejs/bones/server/server.js:10:10)
[tilemill]     at new child (/usr/share/javascript/backbone/backbone.js:1392:34)
[tilemill]     at command.initialize (/usr/share/tilemill/commands/core.bones:224:28)
[tilemill]     at null.<anonymous> (/usr/lib/nodejs/bones/server/command.js:8:14)
[tilemill]     at command.bootstrap (/usr/share/tilemill/commands/core.bones:219:5)
[tilemill]     at Command (/usr/lib/nodejs/bones/server/command.js:7:10)
[tilemill] Error: child process: "core" failed with code "8"
[tilemill] Error: child process: "tile" failed with code "143"
[tilemill] Closing child process: core (pid:7988)
[tilemill] Closing child process: tile (pid:7990)
Exiting [tilemill]

A workaround is to ship the older bones release as such:

sudo npm --prefix /usr/share/tilemill/ install bones@1.3.27

Now I was thinking of submitting a bug report upstream to mention this
problem, but it seems that the 1.3.x series is still
maintained. Furthermore, upstream *is* upstream for bones as well!
Besides, the package.json clearly states the dependency, so this problem
is specific to the debian package.. We would need to be able to install
both bones 1.x and 2.x alongside each other to fix this.

Although this is rather all silly because node-bones has no
reverse-dependencies and I suspect it was uploaded only for tilemill in
the first place. So I filed a bug for that, and now I have tilemill sort
of running.

So I noticed or filed a bunch of bugs that are blocking this:

 * 742347: node-jsdom: require("jsdom") does not work in nodejs: missing cssstyle module
 * 743151: node-jsdom: two more missing modules (htmlparser2 and nwmatcher)
 * 685834: NMU under way for modestmaps-js
 * 743148: node-tilelive-mapnik: borken symlink
 * 743152: nodes-bones doesn't ship the version required for tilemill
 * 725362: node-bones: present but uninstallable on architectures lacking nodejs

After all the workarounds mentionned in all those bugreports, I can fire
up the "server", which serves a UI at:

http://localhost:20009/

which... doesn't work at all! whee!

anarcat@marcos:tilemill*$ sudo   su -s /bin/sh -c 'HOME=/usr/share/mapbox NODEPATH=/usr/lib/nodejs:/usr/share/tilemill /usr/bin/nodejs /usr/share/tilemill/index.js --config=/etc/tilemill/tilemill.config' mapbox
[tilemill] Note: Unknown option "server" in config file.
[tilemill] Plugin [carto] loaded.
[tilemill] Plugin [editor] loaded.
[tilemill] Plugin [fonts] loaded.
[tilemill] Plugin [templates] loaded.
[tilemill] Started [Server Core:20009].
[tilemill] Note: Unknown option "server" in config file.
[tilemill] Started [Server Tile:20008].
[tilemill] Client Error: Uncaught TypeError: Cannot set property 'SEMVER_SPEC_VERSION' of undefined
[tilemill]     at http://localhost:20009/assets/tilemill/js/vendor.js:15801
[tilemill] Checking for new version of TileMill...
[tilemill] npm
[tilemill]
[tilemill] http
[tilemill]
[tilemill] GET
[tilemill]  https://registry.npmjs.org/tilemill
[tilemill] Client Error: Uncaught TypeError: Object [object Date] has no method 'format'
[tilemill]     at http://localhost:20009/assets/bones/all.js:6999
[tilemill] npm
[tilemill]  http 304 https://registry.npmjs.org/tilemill
[tilemill] Latest version of TileMill is 0.10.1.
[tilemill] Client Error: Uncaught ReferenceError: semver is not defined
[tilemill]     at http://localhost:20009/assets/bones/all.js:2263

The UI somewhat loads, but is unresponsive except the user manuel, which
doesn't render markdown properly.

At this point, I give up: there's something clearly wrong with the
install, but I have no clue where to start fixing this. vendor.js seems
a concatenation of a pile of javascript dung, of which i can't even find
the ondisk copy.

So here we go, progress, but still work to do to make the thing work.

A.

-- 
From the age of uniformity, from the age of solitude, from the age of
Big Brother, from the age of doublethink - greetings!
                        - Winston Smith, 1984
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Mon, 31 Mar 2014 07:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ross Gammon <rossgammon@mail.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Mon, 31 Mar 2014 07:51:09 GMT) Full text and rfc822 format available.

Message #77 received at 644767@bugs.debian.org (full text, mbox):

From: Ross Gammon <rossgammon@mail.dk>
To: Antoine Beaupré <anarcat@debian.org>, 644767@bugs.debian.org
Subject: Re: Bug#644767: Update
Date: Mon, 31 Mar 2014 09:35:41 +0200
On 03/31/2014 12:01 AM, Antoine Beaupré wrote:
> Control: block -1 by 725362
> 
> Some progress here: I have uploaded a new version of modestmaps
> (NMU DELAYED/10), so that should be fixed shortly.
> 
Excellent. I had seen that Andrew Harvey had uploaded newer versions
on git.d.o (collab-maint), but assumed he had not had time to seek
sponsorship.

> Then I found the next stumbling block: node-bones wasn't in jessie
> for my test machine (#725362). I guess that won't be a problem
> until the release however, and by then that bug will probably have
> been fixed (?).

Yes I spotted that. Looks like some disagreements about how to deal
with the missing nodejs on all architectures might mean some delay here?
> 
> I can also confirm what cbaines was saying earlier: the binary
> package is actually empty right now.
> 
> $ dpkg -L tilemill /. /usr /usr/share /usr/share/doc 
> /usr/share/doc/tilemill /usr/share/doc/tilemill/copyright 
> /usr/share/doc/tilemill/changelog.Debian.gz 
> /usr/share/doc/tilemill/README.Debian 
> /usr/share/doc/tilemill/README.md
> 
> It seems to me we should merge in the upstream Debian package,
> which have their own PPA:
> 
> https://launchpad.net/~developmentseed/+archive/mapbox/+packages
> 
> Did anyone look at those previously?
> 
I have not studied their packaging yet, but I have installed the
package on my Ubuntu desktop and it works great :-)
> A.
> 
Ross



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Mon, 31 Mar 2014 13:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Mon, 31 Mar 2014 13:33:04 GMT) Full text and rfc822 format available.

Message #82 received at 644767@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Ross Gammon <rossgammon@mail.dk>, 644767@bugs.debian.org, 644767@bugs.debian.org
Subject: Re: Bug#644767: Update
Date: Mon, 31 Mar 2014 09:29:39 -0400
[Message part 1 (text/plain, inline)]
On 2014-03-31 03:35:41, Ross Gammon wrote:
> On 03/31/2014 12:01 AM, Antoine Beaupré wrote:

[...]

>> Then I found the next stumbling block: node-bones wasn't in jessie
>> for my test machine (#725362). I guess that won't be a problem
>> until the release however, and by then that bug will probably have
>> been fixed (?).
>
> Yes I spotted that. Looks like some disagreements about how to deal
> with the missing nodejs on all architectures might mean some delay here?

Maybe, but then there's a proposed patch that can be NMU-uploaded while
the disagreement is resolved. Surely it can be used as a temporary
measure...

[...]

>> https://launchpad.net/~developmentseed/+archive/mapbox/+packages
>> 
>> Did anyone look at those previously?
>> 
> I have not studied their packaging yet, but I have installed the
> package on my Ubuntu desktop and it works great :-)

Uh! Well that's great. Maybe that can be used to compare and figure out
what's going on.

My hunch is that we have some messed up dependency version - say for
example node-bones...

a.
-- 
Wherever they's a fight so hungry people can eat, I'll be there.
Wherever they's a cop beatin' up a guy, I'll be there.
If Casy knowed, why, I'll be in the way guys yell when they're mad an'
I'll be in the way kids laugh when they're hungry an' they know
supper's ready. An' when our folks eat the stuff they raise an' live
in the house they build, why I'll be there.
                        - John Steinbeck, The Grapes of Wrath
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Mon, 31 Mar 2014 15:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ross Gammon <rossgammon@mail.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Mon, 31 Mar 2014 15:30:10 GMT) Full text and rfc822 format available.

Message #87 received at 644767@bugs.debian.org (full text, mbox):

From: Ross Gammon <rossgammon@mail.dk>
Cc: Antoine Beaupré <anarcat@debian.org>, 644767@bugs.debian.org
Subject: Asked Tilemill upstream about Bones
Date: Mon, 31 Mar 2014 17:28:17 +0200
On 03/31/2014 03:29 PM, Antoine Beaupré wrote:
> On 2014-03-31 03:35:41, Ross Gammon wrote:
>> On 03/31/2014 12:01 AM, Antoine Beaupré wrote:

<snip>
> 
> My hunch is that we have some messed up dependency version - say for
> example node-bones...
> 
> a.
> 

Just asked TileMill upstream if they plan to switch to the node-bones
2.x.x series:
https://github.com/mapbox/tilemill/issues/2260

Ross



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#644767; Package wnpp. (Mon, 31 Mar 2014 21:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ross Gammon <ross@the-gammons.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Mon, 31 Mar 2014 21:33:04 GMT) Full text and rfc822 format available.

Message #92 received at 644767@bugs.debian.org (full text, mbox):

From: Ross Gammon <ross@the-gammons.net>
To: 644767@bugs.debian.org
Cc: Antoine Beaupré <anarcat@debian.org>
Subject: Version of Bones - Upstream
Date: Mon, 31 Mar 2014 23:32:06 +0200
Dane Springmeyer from Tilemill upstream advises that we stick to the
recommended version of Bones.
They have no plans to switch to Bones 2, and will probably drop Bones
completely in a future release:
https://github.com/mapbox/tilemill/issues/2260
Ross



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:59:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.